﻿using BImprendo.Pages.PDF;
using Syncfusion.SfPdfViewer.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace ViewerNavigation
{
	public partial class MainPage : ContentPage
	{

        SfPdfViewer pdfView;

        public MainPage()
		{
			InitializeComponent();
		}

        private async void Btn_Clicked(object sender, EventArgs e)
        {
            //Navigation.PushAsync(new ViewerPage());

            var m_pdfDocumentStream = typeof(App).GetTypeInfo().Assembly.GetManifestResourceStream("ViewerNavigation.Assets.HTTP Succinctly.pdf");

            PdfPage page = new PdfPage("Doc PDF");
            page.OperationDone += Page_OperationDone;
            await Navigation.PushAsync(page);            
            await page.LoadDocument(m_pdfDocumentStream, "file.pdf");

        }
        

        private void btn2_Clicked(object sender, EventArgs e)
        {
            TestPage p = new TestPage();
            p.OperationDone += Page_OperationDone;
            this.Navigation.PushAsync(p);
        }
        

        private async void Page_OperationDone(object sender, bool e)
        {
            await Navigation.PopAsync();
        }
    }
}
